STRUCT TEMPLAT(3)

NAME
boost::intrusive::compare_hash

SYNOPSIS

// In header: <boost/intrusive/options.hpp>
template<bool Enabled>
struct compare_hash {
  // member classes/structs/unions
  // @ template<class Base>
  struct pack {
    static const bool compare_hash;
  };
};

DESCRIPTION

This option setter specifies if the container will compare the hash value before comparing objects. This option can't be specified if store_hash<> is not true. This is specially helpful when we have containers with a high load factor. and the comparison function is much more expensive that comparing already stored hash values.